# zmq_msg_data(3) Manual Page

## NAME

zmq_msg_data - retrieve pointer to message content

## SYNOPSIS

void *zmq_msg_data (zmq_msg_t *msg);

## DESCRIPTION

The zmq_msg_data() function shall return a pointer to the message content of the message object referenced by msg.

Caution | Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

## RETURN VALUE

Upon successful completion, zmq_msg_data() shall return a pointer to the message content.

## ERRORS

No errors are defined.

## SEE ALSO

zmq_msg_size(3) zmq_msg_init(3) zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq(7)

## AUTHORS

This ØMQ manual page was written by Martin Sustrik <sustrik@250bpm.com> and Martin Lucina <mato@kotelna.sk>.